package com.unis.inspectiontask.common.constant;

/**
 * 备案状态
 */
public enum TaskStatusConstant {
	/**
	 * 任务状态（0、待分配。1、待下发。2、已下发。3、已完成。4、已超期。5、超期完成。  6、已归档
	 */
    TEMP("-1","暂存",""),
    TO_FP("0","待分配",""),
    TO_DXF("1","待下发",""),
    ARYXF("2","已下发",""),
    DOSAVE("3","已完成",""),
    ARTIME("4","已超期",""),
	ARTIMESAVE("5","超期完成",""),
	ARGOD("6","已归档",""),
    STOP("8","任务终止",""),
	
	//特殊类型
	CBLCODE("5000150","储备梁",""),
	
	//是否显示
	SHOW("0","显示",""),
    HIDE("1","隐藏",""),
	
	//检查组暂存 / 下发1
	ZC("0","暂存",""),
	XF("1","下发","");
    private String name;
    private String value;
    private String desc;
    private TaskStatusConstant(String value, String name, String desc){
        this.value=value;
        this.name=name;
        this.desc=desc;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }

    public String getDesc(){
        return this.desc;
    }
    public void setDesc(String desc){
        this.desc=desc;
    }
}
