package com.unis.inspectiontask.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/** 
 * @ClassName: OrganizeVO 
 * @Description: 被检单位VO 
 * @author LiuFeng 
 * @date 2019年8月24日 下午5:04:59  
 */
@SuppressWarnings("serial")
@ApiModel(value = "企业单位类型")
@Getter
@Setter
public class CompanyTypeVO {

	/**
	 * 企业类型
	 */
	@ApiModelProperty("企业类型")
	private String qylx;
	
	/**
	 * 企业类型名称
	 */
	@ApiModelProperty("企业类型名称")
	private String qylxmc;
	
}
