package com.unis.inspectiontask.common.vo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author 张琪
 * @date 2019年8月27日 上午11:26:08
 * @description InspectedUnitsVO 被检单位
 */
@Getter
@Setter
@ApiModel("被检单位->实体")
public class InspectedUnitsVO extends BaseEntity {

	/**
	 * id字段
	 */
	@ApiModelProperty("id")
    private Long id;

	/**
	 * 任务id
	 */
	@ApiModelProperty("任务")
    private String rwId;

	/**
	 * 被检企业编号ID
	 */
	@ApiModelProperty("被检企业编号")
    private String bjdwId;

	/**
	 * 被检企业名称Name
	 */
	@ApiModelProperty(" 被检企业名称")
    private String bjdwName;

	/**
	 * 被检企业地址
	 */
	@ApiModelProperty(" 被检企业地址")
    private String bjdwAddress;

	/**
	 * 被检企业负责人
	 */
	@ApiModelProperty(" 被检企业负责人")
    private String bjdwFzr;

	/**
	 * 被检企业负责人联系方式
	 */
	@ApiModelProperty(" 被检企业负责人联系方式")
    private String bjdwFzrPhone;

	/**
	 * 备件企业统一社会信用代码
	 */
	@ApiModelProperty(value = "备件企业统一社会信用代码")
	private String tyshxydm;

}
