package com.unis.inspectiontask.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Map;

/**
 * @author WangZL
 * @version 1.0
 * @Title PerformanceTO
 * @ProjectName 履职情况表业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("履职情况表业务对象")
public class PerformanceVO {

	@ApiModelProperty(value = "人员名称", notes ="人员名称", required = false)
	private String ryxm;

	@ApiModelProperty(value = "人员编号", notes ="人员编号", required = false)
	private String rybh;

	@ApiModelProperty(value = "任务内容列表", notes ="任务内容列表", required = false)
	private Map<String,Integer> rwnrList;

	public PerformanceVO(String ryxm, String rybh, Map<String,Integer> rwnrList) {
		super();
		this.ryxm = ryxm;
		this.rybh = rybh;
		this.rwnrList = rwnrList;
	}

	public PerformanceVO() {
	}
}
