/**
 * @Title:PersonPerformanceQueryVO.java
 * @Package: com.unis.inspectiontask.common.vo
 * @Description:功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月28日 下午2:52:13
 * @version V1.0
*/
package com.unis.inspectiontask.common.vo;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@Getter
@Setter
@ApiModel(value = "人员履职情况查询条件实体VO")
public class PersonPerformanceQueryVO {
	/**
	 * 统计开始时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "统计开始时间")
	private Date tjkssjDate;

    /**
     * 上报开始时间
     */
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "统计结束时间")
    private Date tjjssjDate;

	/**
	 * 所属单位
	 */
	@ApiModelProperty("工作单位")
	private String zydw;

	/**
	 * 持证情况
	 */
	@ApiModelProperty("持证情况")
	private String czqk;

	@ApiModelProperty(value = "权限-不能为空", notes ="权限-不能为空", required = false)
	private String orgid;

	@ApiModelProperty(value = "人员编号列表", notes ="人员编号列表", required = false)
	private List<String> rybhList;
}
