/**
 * @Title:PersonPerformanceQueryVO.java
 * @Package: com.unis.inspectiontask.common.vo
 * @Description:功能描述:(用一句话描述该文件做什么)
 * @Author ZHANGQI
 * @date 2019年10月28日 下午2:52:13
 * @version V1.0
*/
package com.unis.inspectiontask.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@ApiModel(value = "人员履职情况查询条件实体VO")
public class PersonnelPerformanceQueryVO {

	@ApiModelProperty(value = "任务id", notes ="任务id", required = false)
	private String rwId;

	@ApiModelProperty(value = "任务集合", notes ="任务集合", required = false)
	private List<String> rwIdList;

	@ApiModelProperty(value = "字典code", notes ="字典code", required = false)
	private String dictCode;

	@ApiModelProperty(value = "字典集合", notes ="字典集合", required = false)
	private List<String> dictCodeList;

	public PersonnelPerformanceQueryVO(String rwId, List<String> rwIdList, String dictCode, List<String> dictCodeList) {
		this.rwId = rwId;
		this.rwIdList = rwIdList;
		this.dictCode = dictCode;
		this.dictCodeList = dictCodeList;
	}
}
