package com.unis.inspectiontask.common.vo;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@Getter
@Setter
@ApiModel("综合查询结果查询对象")
public class ResultApplyQuery  {
	/**
	 * 文件类型    0、附件、1文件
	 */
	@ApiModelProperty("任务类型编号")
    private String rwlxbh;

	
	/**
	 * id
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "检查开始时间", notes ="", required = false)
    private Date jckssj;
	
	/**
	 * id
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "检查结束时间", notes ="", required = false)
    private Date jcjssj;
	
	@ApiModelProperty("当前处室，0代表储备处，1代表监督检查处")
    private String dqcsmc;
	
	
	@ApiModelProperty("检查内容")
    private List<String> checkContentIds;
	
	@ApiModelProperty("检查子项")
    private List<String> checkItemIds;
}