package com.unis.inspectiontask.server.dao;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectiontask.server.entity.TFileDO;
import com.unis.inspectiontask.server.example.TFileExample;

import tk.mybatis.mapper.entity.Example;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TFileDao {
    int countByExample(TFileExample example);

    int deleteByExample(TFileExample example);

    int deleteByPrimaryKey(String fileId);

    int insert(TFileDO record);

    int insertSelective(TFileDO record);

    List<TFileDO> selectByExample(Example example);

    TFileDO selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TFileDO record, @Param("example") TFileExample example);

    int updateByExample(@Param("record") TFileDO record, @Param("example") TFileExample example);

    int updateByPrimaryKeySelective(TFileDO record);

    int updateByPrimaryKey(TFileDO record);

	List<TFileDO> selectBySjid(@Param("sjId")String sjId);

	/**
	 * @param tFileDO
	 */
	int deleteBySjId(TFileDO tFileDO);
}