package com.unis.inspectiontask.server.dao;

import com.unis.inspectiontask.common.vo.MemberVO;
import com.unis.inspectiontask.server.entity.TJczzyDO;

import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface TJczzyDao extends Mapper<TJczzyDO>{
    int deleteByPrimaryKey(Long id);

    int insert(TJczzyDO record);

    int insertSelective(TJczzyDO record);

	/**
	 * @Title: insertList
	 * @Description:
	 * @param memberVOs
	 * @return void
	 * @throws
	 */
	void insertList(List<MemberVO> memberVOs);

	/**
	 * @Title: selectByTaskId
	 * @Description: 根据检查组id获取检查组人员列表
	 * @param jczId
	 * @return List<TeamVO>
	 * @throws
	 */
	List<TJczzyDO> selectByJczId(Long jczId);

	/**
	 * @Title: batchUpdateOrSave
	 * @Description: 批量更新（存在则更新，不存在则插入）
	 * @param memberVOs
	 * @throws
	 */
	void batchUpdateOrSave(List<MemberVO> memberVOs);

	/**
	 * @param jczzyDo
	 */
	void deleteByPrimaryJCKey(TJczzyDO jczzyDo);

	/**
	 * remarks==rwId 字段复用NM
	 * @param tJczzyDO
	 */
	int deleteByRwId(TJczzyDO tJczzyDO);

	/**
	 * @param tJczzyD
	 * @return
	 */
	List<TJczzyDO> selectByQuery(TJczzyDO tJczzyD);

}
