package com.unis.inspectiontask.server.entity;

import javax.persistence.Column;
import javax.persistence.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 被检企业信息
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_BJDW")
public class TBjdwDO extends BaseEntity{
	
	/**
	 * id字段
	 */
	@Column(name = "id")
    private Long id;

	/**
	 * 任务id
	 */
	@Column(name = "RW_ID")
    private String rwId;

	/**
	 * 被检企业编号ID
	 */
	@Column(name = "BJDW_ID")
    private String bjdwId;

	/**
	 * 被检企业名称Name
	 */
	@Column(name = "BJDW_NAME")
    private String bjdwName;
  
	/**
	 * 被检企业地址
	 */
	@Column(name = "BJDW_ADDRESS")
    private String bjdwAddress;
	
	/**
	 * 被检企业负责人
	 */
	@Column(name = "BJDW_FZR")
    private String bjdwFzr;

	/**
	 * 被检企业负责人联系方式
	 */
	@Column(name = "BJDW_FZR_PHONE")
    private String bjdwFzrPhone;

	@ApiModelProperty(value = "企业编码")
	@Column(name = "QYBM")
    private String qybm;
}