package com.unis.inspectiontask.server.entity;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: TJczBjdwDO 
 * @Description: 检查组，被检单位关联实体类 
 * @author LiuFeng 
 * @date 2019年8月24日 下午4:21:20
 */
@ToString
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_JCZ_BJDW")
public class TJczBjdwDO extends BaseEntity{
	
	/**
	 * ID
	 */
	@Column(name = "ID")
    private Long id;

	/**
	 * 检查组ID
	 */
	@Column(name = "JCZ_ID")
    private Long jczId;

	/**
	 * 备件单位ID
	 */
	@Column(name = "BJDW_ID")
    private String bjdwId;

}