package com.unis.inspectiontask.server.service;

import com.unis.inspectiontask.common.vo.PerformanceQueryVO;
import com.unis.inspectiontask.common.vo.PerformanceVO;
import com.unis.inspectiontask.common.vo.PersonnelPerformanceQueryVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: PerformanceService
 * @ProjectName PerformanceService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface PerformanceService {

	/**
	 * 分页获取履职情况信息列表
	 * @param performanceQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<PerformanceVO> getPerformancePage(PerformanceQueryVO performanceQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 检查次数
	 * @param personnelPerformanceQueryVO
	 * @return
	 */
	Integer personnelPerformanceNumber(PersonnelPerformanceQueryVO personnelPerformanceQueryVO);
}
