package com.unis.inspectiontask.common.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("检查结果统计")
public class CheckCensusQueryVO {

	/**
	 * 所属单位代码
	 */
	@ApiModelProperty("所属单位代码")
    private String dwDm;

	/**
	 * 所属单位名称
	 */
	@ApiModelProperty("所属单位名称")
    private String dwMc;
	
	
	@ApiModelProperty(value = "检查开始时间（yyyy-MM-dd）", notes ="检查开始时间（yyyy-MM-dd）", required = false, example = "2020-01-15")
    private String jcKssj;

    @ApiModelProperty(value = "检查结束时间（yyyy-MM-dd）", notes ="检查结束时间（yyyy-MM-dd）", required = false, example = "2020-05-15")
    private String jcJssj;
    
    @ApiModelProperty("所属单位名称")
    List<CheckOrgVO> orgVOs;

    
    
    /**
	 * 所属单位代码
	 */
	@ApiModelProperty("数据权限")
    private String orgId;
	
	@ApiModelProperty("任务列表id")
    String[] rwids;
}