package com.unis.inspectiontask.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("检查结果统计")
public class CheckCensusVO {

	/**
	 * 所属单位代码
	 */
	@ApiModelProperty("所属单位代码")
    private String dwDm;

	/**
	 * 所属单位名称
	 */
	@ApiModelProperty("所属单位名称")
    private String dwMc;

	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("日常检查企业个数")
    private Integer rcjcqygs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("日常检查人数")
    private Integer rcjcrc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("日常开展检查次数")
    private Integer rckzjccs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("日常已完成")
    private Integer rcywc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("日常未完成")
    private Integer rcwwc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("日常超期完成")
    private Integer rccqwc;
	


	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("防汛检查企业个数")
    private Integer fxjcqygs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("防汛检查人数")
    private Integer fxjcrc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("防汛开展检查次数")
    private Integer fxkzjccs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("防汛已完成")
    private Integer fxywc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("防汛未完成")
    private Integer fxwwc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("防汛超期完成")
    private Integer fxcqwc;
	
	
	
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("专项检查企业个数")
    private Integer zxjcqygs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("专项检查人数")
    private Integer zxjcrc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("专项开展检查次数")
    private Integer zxkzjccs;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("专项已完成")
    private Integer zxywc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("专项未完成")
    private Integer zxwwc;
	
	/**
	 * 表单状态（0、禁用。1、启用）
	 */
	@ApiModelProperty("专项超期完成")
    private Integer zxcqwc;

}