package com.unis.inspectiontask.common.vo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * @author 张琪
 * @date 2019年8月27日 上午11:30:59
 * @description CheckContentVO 检查内容
 */
@Getter
@Setter
@ApiModel("检查内容->实体")
public class CheckContentVO extends BaseEntity{
	/**
	 * 主键Id
	 */
	@ApiModelProperty("Id")
    private Long id;

	/**
	 * 任务ID
	 */
	@ApiModelProperty("任务")
    private String rwId;

	/**
	 * 检查内容编号
	 */
	@ApiModelProperty("检查内容编号")
    private String jcnrId;

	/**
	 * 检查内容名称
	 */
	@ApiModelProperty("检查内容名称")
    private String jcnrName;
}
