package com.unis.inspectiontask.common.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value="检查组规则VO")
public class CheckRuleVO {

	/**
	 * 组长数量
	 */
	@ApiModelProperty("组长数量")
	private Integer zzNumber;

	/**
	 * 组员数量
	 */
	@ApiModelProperty("组员数量")
	private Integer zyNumber;
	
	/**
	 * 被检单位数量
	 */
	@ApiModelProperty("被检单位数量")
	private Integer bjdwNumber;
	
	/**
	 * 持证人员数量
	 */
	@ApiModelProperty("持证人员数量")
	private Integer czryNumber;

	/**
	 * 持证人员专业和数量集合
	 */
	@ApiModelProperty(value = "持证人员专业和数量集合")
	private List<PersonalPerformanceAndNumberVO> personalPerformanceAndNumberVOS;
}
