package com.unis.inspectiontask.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@SuppressWarnings("serial")
@ApiModel(value = "规避QueryVO")
@Getter
@Setter
public class EvasionQueryVO {

	/**
	 * 规避code
	 */
	@ApiModelProperty("规避code")
	private String gbCode;
	
	/**
	 * 规避code
	 */
	@ApiModelProperty("规避code")
	private String gbName;
	
	/**
	 * 规避类型 0：人  1：企业
	 */
	@ApiModelProperty("规避类型 0：人  1：企业")
	private Integer gblx;
	
	/**
	 * 任务id
	 */
	@ApiModelProperty("任务id")
	private String rwId;
}
