package com.unis.inspectiontask.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * @author 张琪
 * @date 2019年8月27日 上午11:33:15
 * @description TaskCheckItemsVO 检查项目
 */
@Getter
@Setter
@ApiModel("检查子项目->实体")
public class TaskCheckItemsVO extends BaseEntity {
	/**
	 * 主键id
	 */
	@ApiModelProperty("id")
    private Long id;

	/**
	 * 检查任务ID
	 */
	@ApiModelProperty("检查任务")
    private String rwId;

	/**
	 * 检查项目ID
	 */
	@ApiModelProperty(" 检查项目")
    private String jcxmId;

	/**
	 * 检查项目名称
	 */
	@ApiModelProperty("检查项目名称")
    private String jcxmName;
}
