/**
 *
 */
package com.unis.inspectiontask.common.vo;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author 张琪
 * @date 2019年9月10日 上午9:54:39
 * @description 制定任务列表 -  任务数据查询
 */
@Getter
@Setter
@ApiModel("制定任务列表 - 任务->实体")
public class TaskPlanVo  {


	/**
	 * 检查组数量
	 */
	@ApiModelProperty("检查组数量")
	private Integer jczsl;

	/**
	 * 完成数量
	 */
	@ApiModelProperty("完成数量")
	private Integer wcsl;

	/**
	 * 未完成数量
	 */
	@ApiModelProperty("未完成数量")
	private Integer wwcsl;
	/**
	 * 任务编号
	 */
	@ApiModelProperty("任务编号")
	private String rwId;

	/**
	 * 任务名称
	 */
	@ApiModelProperty("任务名称")
	private String rwName;

	/**
	 * 任务类型
	*/
	@ApiModelProperty("任务类型")
	private String rwlx;

	/**
	 * 任务类型名称
	*/
	@ApiModelProperty("任务类型名称")
	private String rwlxName;


	/**
	 * 检查单位
	 */
	@ApiModelProperty("检查单位")
	private String jcdwmc;

	/**
	 * 检查单位id
	 */
	@ApiModelProperty("检查单位")
	private String jcdwId;

	/**
	 * 计划编号
	 */
	@ApiModelProperty("计划编号")
	private String jhId;

	@ApiModelProperty("任务状态（0、待分配。1、待下发。2、已下发。3、已完成。4、已超期。5、超期完成。  6、已归档。7、待审批。8、任务终止）")
	private Integer rwZt;


	@ApiModelProperty("是否查看，0、否，1、是")
	private String sfck;

	@ApiModelProperty("查看人")
	private String ckr;

	@ApiModelProperty("查看时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date cksj;


	@ApiModelProperty(value = "变更历史")
    private List<TaskChangeVO> changeVOs;
}
