package com.unis.inspectiontask.server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication
@EnableDiscoveryClient
@ComponentScan("com.unis")
@MapperScan("com.unis.inspectiontask.server.dao")
@org.mybatis.spring.annotation.MapperScan("com.unis.inspectiontask.server.dao")
public class InspectiontaskServer{
    public static void main( String[] args )
    {
        SpringApplication.run(InspectiontaskServer.class, args);
        System.out.println("-----------------------------启动成功--------------------------");
    }
}