package com.unis.inspectiontask.server.dao;

import com.unis.inspectiontask.server.entity.TBjdwDO;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface TBjdwDao {
    int deleteByPrimaryKey(Long id);

    int insert(TBjdwDO record);

    int insertSelective(TBjdwDO record);

    TBjdwDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TBjdwDO record);

    int updateByPrimaryKey(TBjdwDO record);

	/**
	 * @Title: selectByUserId
	 * @Description: 根据userId获取被检单位
	 * @param userId
	 * @return List<TBjdwDO>
	 * @throws
	 */
	List<TBjdwDO> selectByUserId(String userId);

	/**
	 * @Title: selectByJczId
	 * @Description: 根据检查组id获取被件单位
	 * @param jczId
	 * @return List<TBjdwDO>
	 * @throws
	 */
	List<TBjdwDO> selectByJczId(TBjdwDO tBjdwDO);

	/**
	 * @Title: insertList
	 * @Description:
	 * @param @param tBjdwDOs
	 * @return void
	 * @throws
	 */
	void insertList(List<TBjdwDO> tBjdwDOs);

	/**
	 * @param string
	 * @return
	 */
	List<TBjdwDO> selectByQuery(String rwId);

	/**
	 * @param rwId
	 */
	void delete(String rwId);
}
