package com.unis.inspectiontask.server.dao;

import com.unis.inspectiontask.common.vo.OrganizeVO;
import com.unis.inspectiontask.server.entity.TJczBjdwDO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

public interface TJczBjdwDao {
    int deleteByPrimaryKey(Long id);

    int insert(TJczBjdwDO record);

    int insertSelective(TJczBjdwDO record);

    TJczBjdwDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TJczBjdwDO record);

    int updateByPrimaryKey(TJczBjdwDO record);

	/** 
	 * @Title: insertList 
	 * @Description: 批量插入
	 * @param @param organizeVOs
	 * @return void
	 * @throws 
	 */
	void insertList(List<OrganizeVO> organizeVOs);

	/** 
	 * @Title: selectByJczIdAndOrgId 
	 * @Description: 根据组织编号判断是否在检查组
	 * @param jczId
	 * @param orgId
	 * @return TJczBjdwDO
	 * @throws 
	 */
	TJczBjdwDO selectByJczIdAndOrgId(@Param("jczId")Long jczId, @Param("orgId")String orgId);


	/**
	 * @param tJczBjdwDO
	 * @return
	 */
	List<TJczBjdwDO> selectByPrimaryJczKey(TJczBjdwDO tJczBjdwDO);

	/**
	 * @param tJczBjdwDO
	 */
	void deleteByPrimaryJcKey(TJczBjdwDO tJczBjdwDO);
}