package com.unis.inspectiontask.server.dao;

import com.unis.inspectiontask.common.vo.EvasionQueryVO;
import com.unis.inspectiontask.common.vo.EvasionVO;
import com.unis.inspectiontask.server.entity.TRydwgbDO;
import java.math.BigDecimal;
import java.util.List;

public interface TRydwgbDao {
    int deleteByPrimaryKey(Long id);

    int insert(TRydwgbDO record);

    int insertSelective(TRydwgbDO record);

    TRydwgbDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TRydwgbDO record);

    int updateByPrimaryKey(TRydwgbDO record);

	/** 
	 * @Title: insertList 
	 * @Description: 批量插入规避信息
	 * @param evasionVOs
	 * @return int
	 * @throws 
	 */
	int insertList(List<EvasionVO> evasionVOs);

	/** 
	 * @Title: selectByEvasionQueryVO 
	 * @Description: 根据条件查询
	 * @param queryVO
	 * @return List<EvasionVO>
	 * @throws 
	 */
	List<EvasionVO> selectByEvasionQueryVO(EvasionQueryVO queryVO);
}