package com.unis.inspectiontask.server.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @ClassName: TJczDO 
 * @Description: 检查组实体类 
 * @author LiuFeng 
 * @date 2019年8月24日 下午4:23:20
 */
@ToString
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_JCZ")
public class TJczDO extends BaseEntity{

	/**
	 * 主键id
	 */
	@Id
	@Column(name = "ID")
    private Long id;

	/**
	 * 任务id
	 */
	@Column(name = "RW_ID")
    private String rwId;

	/**
	 * 检查组名称
	 */
	@Column(name = "JCZ_NAME")
    private String jczName;
}