package com.unis.inspectiontask.server.entity;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName: TRydwgbDO 
 * @Description: 人员，被检单位实体类 
 * @author LiuFeng 
 * @date 2019年8月24日 下午4:21:20
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_RYDWGB")
public class TRydwgbDO extends BaseEntity{
	
	/**
	 * ID
	 */
	@Column(name = "ID")
    private Long id;
	
	/**
	 * 任务id
	 */
	@Column(name = "RW_ID")
    private String rwId;
	
	/**
	 * 规避code
	 */
	@Column(name = "GB_CODE")
    private String gbCode;
	
	/**
	 * 规避名称
	 */
	@Column(name = "GB_NAME")
    private String gbName;
	
	/**
	 * 规避类型 0:人 1:企业
	 */
	@Column(name = "GBLX")
    private Integer gblx;
}